#ifndef WEARABLE_H
#define WEARABLE_H

#include <string>
#include <set>
#include "../effects/effects.h"
#include "../slot/slot.h"
using namespace std;

///Classe Wearable, delle cose che si possono indossare (spade, zaini, anelli, pantaloni, ...)
/**
 * Quando indossata causano effetti a chi le indossa.
 * Per es. se si indossa una spada si alza l'attacco, se si indossa una muta
 * si pu nuotare meglio, ecc.
 */
class Wearable{
	private:
		/// Effetto mentre  indossato
		Effects fx;
		/// Lista degli Slot ammissibili
		set<Slot> sl;
};

/**
 * \example wearable_test.cc
 */
#endif
