#ifndef WEARER_H
#define WEARER_H

#include <map>
#include "../wearable/wearable.h"
#include "../slot/slot.h"
using namespace std;

///Classe Wearer, di chi pu indossare cose (personaggio, oggetto...)
/**
 * C' una map slot, oggetto indossato e i metodi per indossare e togliere
 * cose da e in un container (eventualmente nel container ground della location).
 * Anche gli oggetti sono indossatori:
 * una spada potrebbe "indossare" una pietra magica, ecc.
 */
class Wearer{
	private:
		/// Mappa Slot disponibili, roba indossata
		map<Slot,Wearable> sl;
};

/**
 * \example wearer_test.cc
 */
#endif
